  function _getAlertContainer() {
    return document.getElementById("ContainerAlert");
  }

  function _getAlertTemplate() {
    return document.getElementById("AlertTemplate").cloneNode(true);
  }

  function _getAntiForgeryToken() {
    return window.top.document.querySelector("[name='__RequestVerificationToken']")?.value;
  }

  function _getDialogContainer() {
    return document.getElementById("ContainerDialog").cloneNode(true);
  }

  function _getDialogTemplate() {
    return document.getElementById("DialogTemplate").cloneNode(true);
  }

  function reload() {
    window.location.reload();
}

export default {
  getAlertContainer: _getAlertContainer,
  getAlertTemplate: _getAlertTemplate,
  getAntiForgeryToken: _getAntiForgeryToken,
  getDialogContainer: _getDialogContainer,
  getDialogTemplate: _getDialogTemplate,
  reload: reload
};